Subject: [rfc-i] online style guide: citations

From: Julian Reschke <[email-masked]>
Date: Thu, 29 Aug 2019 17:04:08 +0200

<https://www.rfc-editor.org/styleguide/part2/#citation_usage>:

> An in-text citation may a) follow the subject for which it is being cited or b) be read as part of the text. For example:
>
> a) As part of the transition to IPv6, NAT64 [RFC6146] and DNS64
>    [RFC6147] technologies will be utilized by some access networks to
>    provide IPv4 connectivity for IPv6-only nodes [RFC6144].
>
> or
>
> b) Note that SAVI raises a number of important privacy considerations
>    that are discussed more fully in [RFC6959].
>
> We recommend using a) and strongly recommend consistent use of one style throughout.

<https://www.rfc-editor.org/styleguide/part2/#ref_with_section>:

> This is mostly left to author preference. However, note the following:
>
>     Instances of “[RFCXXXX] section N.N” will be updated as “[RFCXXXX], Section N.N” in most cases.
>     If that format may be unclear, the text will be updated as “Section N.N of [RFCXXXX]”.
>     If neither option works for some reason, a question will be sent to the authors.

How does the recommendation for style a) affect the way how Sections to
be referenced (which seems to only cover case b))?

Best regards, Julian
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest